[![http://spinlab.net](https://img.shields.io/pypi/v/spinlab)](https://pypi.org/project/spinlab/)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/spinlab)](https://www.python.org/downloads/)
[![Downloads](https://pepy.tech/badge/spinlab/month)](https://pepy.tech/project/spinlab)

<!-- [![SpinLab Logo](http://spinlab.net/_static/SpinlabLogo.png)](http://spinlab.net) -->
# SpinLab - Bringing the Power of Python to MR Spectroscopy

SpinLab originally started as [DNPLab](https://github.com/DNPLab/DNPLab). It was initially createdby:
- [Bridge12 Technologies, Inc.](http://www.bridge12.com/)
- [Han Lab NWU](https://hanlab.northwestern.edu/)
- [Franck Lab Syracuse University](https://jmfrancklab.github.io/)

The current authors of SpinLab are:
Timothy Keller, Yen-Chun Huang, Thorsten Maly

SpinLab is an object-oriented Open Source Python-based package for importing, processing, and analyzing data determined in:
- [Electron Paramagnetic Resonance (EPR)](https://en.wikipedia.org/wiki/Electron_paramagnetic_resonance) Spectroscopy,
- [Nuclear Magnetic Resonance (NMR)](https://en.wikipedia.org/wiki/Nuclear_magnetic_resonance) Spectroscopy, or
- [Dynamic Nuclear Polarization (DNP)](https://en.wikipedia.org/wiki/Dynamic_nuclear_polarization) Spectroscopy.

# Features

  - Import many different NMR and EPR data formats (Topspin, VnmrJ, Prospa, Xepr, ESR5000...)
  - Create N-dimensional data objects
  - Easy data processing (e.g. apodization, zero-filling, Fourier transformations, alignment, ...)
  - Analyze data using the specific modules

# Installation

SpinLab can be easily installed via pip:

```console
pip install spinlab
```

<!-- # Documenation

Find the online documentation at: http://docs.spinlab.net -->

# Developement 

  - Clone the git repository from https://github.com/SpinLab/spinlab
